Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Pin the colorama version only for Python 3.4 #6345

Merged
merged 1 commit into from Dec 19, 2019

Conversation

@nightlark
Copy link

nightlark commented Dec 13, 2019

This PR will pin the colorama version to <=0.4.1 only for Python 3.4 and allow newer versions of Python to continue receiving colorama updates. Follows discussion in #6340 about newer versions of Python still being able to use newer colorama releases.

  • Target the master branch for bug fixes, documentation updates and trivial changes.
  • Target the features branch for new features, improvements, and removals/deprecations.
  • Include documentation when adding new features.
  • Include new tests or update existing tests when applicable.
setup.py Outdated Show resolved Hide resolved
nightlark added a commit to nightlark/pytest that referenced this pull request Dec 13, 2019
@nightlark nightlark changed the title Pin the colorama version only for Python 3.4 [DRAFT] Pin the colorama version only for Python 3.4 Dec 13, 2019
@nightlark nightlark changed the title [DRAFT] Pin the colorama version only for Python 3.4 Pin the colorama version only for Python 3.4 Dec 13, 2019
@nicoddemus nicoddemus force-pushed the nightlark:patch-1 branch from d66d184 to 53b0873 Dec 14, 2019
@asottile asottile merged commit 9ab4032 into pytest-dev:4.6-maintenance Dec 19, 2019
1 of 2 checks passed
1 of 2 checks passed
continuous-integration/travis-ci/pr The Travis CI build failed
Details
pytest-CI #20191214.3 succeeded
Details
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
5 participants
You can’t perform that action at this time.